/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.ifish.bean;

import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 直播间评论表(tbl_live_message)
 *
 * @author bianj
 * @version 1.0.0 2017-07-03
 */
@Entity
@Table(name = "tbl_live_message")
public class Tbl_Live_Message implements java.io.Serializable {

    /**
     * 版本号
     */
    private static final long serialVersionUID = 4867709378808071267L;

    /**
     * 评论Id
     */
    @Id
    @Column(name = "message_id", unique = true, nullable = false, length = 10)
    private Integer messageId;

    /**
     * 直播间Id
     */
    @Column(name = "room_id", nullable = false, length = 10)
    private Integer roomId;

    /**
     * 评论用户Id
     */
    @Column(name = "user_id", nullable = false, length = 10)
    private Integer userId;

    /**
     * @用户Id
     */
    @Column(name = "as_user_id", nullable = true, length = 10)
    private Integer asUserId;

    /**
     * 评论内容
     */
    @Column(name = "message_content", nullable = true, length = 200)
    private String messageContent;

    /**
     * 评论时间
     */
    @Column(name = "create_time", nullable = true)
    private Date createTime;

    /**
     * @人的用户名
     */
    private String asUserName;

    /**
     * 创建人的头像
     */
    private String userImg;

    /**
     * 创建人的用户名
     */
    private String userName;

    /**
     * @return the asUserName
     */
    public String getAsUserName() {
        return asUserName;
    }

    /**
     * @param asUserName the asUserName to set
     */
    public void setAsUserName(String asUserName) {
        this.asUserName = asUserName;
    }

    /**
     * @return the userImg
     */
    public String getUserImg() {
        return userImg;
    }

    /**
     * @param userImg the userImg to set
     */
    public void setUserImg(String userImg) {
        this.userImg = userImg;
    }

    /**
     * @return the userName
     */
    public String getUserName() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    /**
     * 获取评论Id
     *
     * @return 评论Id
     */
    public Integer getMessageId() {
        return this.messageId;
    }

    /**
     * 设置评论Id
     *
     * @param messageId 评论Id
     */
    public void setMessageId(Integer messageId) {
        this.messageId = messageId;
    }

    /**
     * 获取直播间Id
     *
     * @return 直播间Id
     */
    public Integer getRoomId() {
        return this.roomId;
    }

    /**
     * 设置直播间Id
     *
     * @param roomId 直播间Id
     */
    public void setRoomId(Integer roomId) {
        this.roomId = roomId;
    }

    /**
     * 获取评论用户Id
     *
     * @return 评论用户Id
     */
    public Integer getUserId() {
        return this.userId;
    }

    /**
     * 设置评论用户Id
     *
     * @param userId 评论用户Id
     */
    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    /**
     * 获取@用户Id
     *
     * @return @用户Id
     */
    public Integer getAsUserId() {
        return this.asUserId;
    }

    /**
     * 设置@用户Id
     *
     * @param asUserId
     * @用户Id
     */
    public void setAsUserId(Integer asUserId) {
        this.asUserId = asUserId;
    }

    /**
     * 获取评论内容
     *
     * @return 评论内容
     */
    public String getMessageContent() {
        return this.messageContent;
    }

    /**
     * 设置评论内容
     *
     * @param messageContent 评论内容
     */
    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    /**
     * 获取评论时间
     *
     * @return 评论时间
     */
    public Date getCreateTime() {
        return this.createTime;
    }

    /**
     * 设置评论时间
     *
     * @param createTime 评论时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
